TEMPLATE = app
TARGET = desq-pkit
INCLUDEPATH += .

QT -= gui

VERSION = 1.0.0

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Build location
BUILD_PREFIX = $$(CA_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/desqpkit/moc-plugins/
OBJECTS_DIR   = $$BUILD_PREFIX/desqpkit/obj-plugins/
RCC_DIR       = $$BUILD_PREFIX/desqpkit/qrc-plugins/
UI_DIR        = $$BUILD_PREFIX/desqpkit/uic-plugins/

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

# Input
SOURCES += desq-pkit.cpp
SOURCES += brightness.cpp

unix {
	isEmpty(PREFIX) {
	        PREFIX = /usr
	}

	INSTALLS += target pkit

	target.path = /usr/libexec/desq/

	pkit.path = /usr/share/polkit-1/actions/
	pkit.files = org.desq.pkit.policy
}
